Logout

Alt-N Discussion Groups > MDaemon Discussion Groups > MDaemon Support > Archive > Pentest - jquery library outdated

 [F] Alt-N Discussion Groups  / MDaemon Discussion Groups  / MDaemon Support  / Archive  /

Pentest - jquery library outdated

[Monaco, Ariel]
Ariel Monaco
Newbie
Newbie
Posts: 4
Ariel Monaco - 02:41pm, Nov 18 2020

Hello team.
In a penetration test we were informed that the JQUERY library is outdated, using version 1.12.5 and it is suggested to use the most recent version.
Is it possible to upgrade it? Is it safe to replace each of the libraries with the one found in jquery.com? Is there a procedure?
We are using MDaemon v 19.5.5.

Thanks in advance.

  All MessagesOldest ItemsOlder ItemsNewer ItemsNewest Items

Jonathan Ehman - Nov 18, 2020 3:33 pm (#1 Total: 1)  

Guest User  

Photo of Author
Posts: 1
Hi Ariel,
 
Whereas it is common practice to keep libraries up to date, doing so can sometimes result in breaking changes. In the case of this jQuery 1.12.5 library, which is a custom version with vulnerability fixes, there would most certainly be breaking changes. We are not sure how the different themes would react to these changes, but we do know that certain older browsers would no longer be supported and Webmail would simply stop working properly in those browsers.
 
All that being said, we do not recommend upgrading to a newer version of jQuery.
 
If you have any further questions, please do not hesitate to ask.

Best Regards,

Jonathan Ehman
Senior Software Developer
b: 817-601-3222    e: jonathan.ehman@mdaemon.com

MDaemon Technologies
Simple Secure Email
Visit us on www.mdaemon.com | Facebook | LinkedIn | YouTube
Sent using the MDaemon Email Server
 
On Wed, 18 Nov 2020 14:41:20 -0500, "lists-md-support@mdaemon.com (Ariel Monaco)" <lists-md-support@mdaemon.com> wrote:
Hello team.
In a penetration test we were informed that the JQUERY library is outdated, using version 1.12.5 and it is suggested to use the most recent version.
Is it possible to upgrade it? Is it safe to replace each of the libraries with the one found in jquery.com? Is there a procedure?
We are using MDaemon v 19.5.5.

Thanks in advance.
 
View/reply at Pentest - jquery library outdated
--MD-SUPPORT--------------------------------------------------------------
This list is for questions and discussion about MDAEMON. To unsubscribe 
from this mailing list send an email to md-support-unsubscribe@mdaemon.com .
--POWERED BY MDAEMON!-----------------------------------------------------

--------------------------------------------------------------------------
These forums are provided by MDaemon Technologies for user-to-user 
support and discussion.  MDaemon staff members may participate in the 
forums periodically but please recognize that this is not the official
method of receiving technical support. To receive personal technical 
support please use the form here:
http://www.mdaemon.com/Support/RequestSupport/
--------------------------------------------------------------------------

--MD-SUPPORT--------------------------------------------------------------
This list is for questions and discussion about MDAEMON. To unsubscribe 
from this mailing list send an email to md-support-unsubscribe@mdaemon.com .
--POWERED BY MDAEMON!-----------------------------------------------------

--------------------------------------------------------------------------
These forums are provided by MDaemon Technologies for user-to-user 
support and discussion.  MDaemon staff members may participate in the 
forums periodically but please recognize that this is not the official
method of receiving technical support. To receive personal technical 
support please use the form here:
http://www.mdaemon.com/Support/RequestSupport/
--------------------------------------------------------------------------



  All MessagesOldest ItemsOlder ItemsNewer ItemsNewest Items



 Content:

Read New | Search

 Guest:

Email to Admin



You are visiting as a Guest user.